org.jboss.jca.deployers.fungal

## Class RAConfiguration

- java.lang.Object
- - org.jboss.jca.deployers.fungal.RAConfiguration

- All Implemented Interfaces:
    org.jboss.jca.deployers.common.Configuration

      public class RAConfiguration
      extends java.lang.Object
      implements org.jboss.jca.deployers.common.Configuration

  A configuration for the resource adapter deployer chain
  Author:
    Jesper Pedersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RAConfiguration()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBootstrapContext(org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext bc)` Deprecated.
    `boolean` | `getArchiveValidation()` Should archive validation be performed
    `boolean` | `getArchiveValidationFailOnError()` Does a failed archive validation error report fail the deployment
    `boolean` | `getArchiveValidationFailOnWarn()` Does a failed archive validation warning report fail the deployment
    `boolean` | `getBeanValidation()` Should bean validation be performed
    `java.util.Map<java.lang.String,org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext>` | `getBootstrapContexts()` Deprecated.
    `org.jboss.jca.core.api.connectionmanager.ccm.CachedConnectionManager` | `getCachedConnectionManager()` Get the cached connection manager
    `org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext` | `getDefaultBootstrapContext()` Deprecated.
    `org.jboss.jca.core.spi.naming.JndiStrategy` | `getJndiStrategy()` Get the JNDI strategy
    `org.jboss.jca.core.api.management.ManagementRepository` | `getManagementRepository()` Get the management repository
    `org.jboss.jca.core.spi.mdr.MetadataRepository` | `getMetadataRepository()` Get the metadata repository
    `java.io.PrintStream` | `getPrintStream()` Get the print stream
    `org.jboss.jca.core.spi.rar.ResourceAdapterRepository` | `getResourceAdapterRepository()` Get the resource adapter repository
    `boolean` | `getScopeDeployment()` Are the deployments scoped
    `org.jboss.jca.core.spi.transaction.TransactionIntegration` | `getTransactionIntegration()` Get the transaction integration
    `void` | `removeBootstrapContext(org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext bc)` Deprecated.
    `void` | `setArchiveValidation(boolean value)` Set if archive validation should be performed
    `void` | `setArchiveValidationFailOnError(boolean value)` Set if a failed error archive validation report should fail the deployment
    `void` | `setArchiveValidationFailOnWarn(boolean value)` Set if a failed warning archive validation report should fail the deployment
    `void` | `setBeanValidation(boolean value)` Set if bean validation should be performed
    `void` | `setBootstrapContexts(java.util.Map<java.lang.String,org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext> value)` Deprecated.
    `void` | `setCachedConnectionManager(org.jboss.jca.core.api.connectionmanager.ccm.CachedConnectionManager value)` Set the cached connection manager
    `void` | `setDefaultBootstrapContext(org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext value)` Deprecated.
    `void` | `setJndiStrategy(org.jboss.jca.core.spi.naming.JndiStrategy value)` Set the JNDI strategy
    `void` | `setManagementRepository(org.jboss.jca.core.api.management.ManagementRepository value)` Set the management repository
    `void` | `setMetadataRepository(org.jboss.jca.core.spi.mdr.MetadataRepository value)` Set the metadata repository
    `void` | `setPrintStream(java.io.PrintStream value)` Set the print stream
    `void` | `setResourceAdapterRepository(org.jboss.jca.core.spi.rar.ResourceAdapterRepository value)` Set the resource adapter repository
    `void` | `setScopeDeployment(boolean value)` Set if deployments should be scoped
    `void` | `setTransactionIntegration(org.jboss.jca.core.spi.transaction.TransactionIntegration value)` Set the transaction integration
    `void` | `start()` Start

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RAConfiguration

          public RAConfiguration()

      Constructor

  - ### Method Detail

    - #### setTransactionIntegration

          public void setTransactionIntegration(org.jboss.jca.core.spi.transaction.TransactionIntegration value)

      Set the transaction integration
      Parameters:
        `value` - The value

    - #### getTransactionIntegration

          public org.jboss.jca.core.spi.transaction.TransactionIntegration getTransactionIntegration()

      Get the transaction integration
      Returns:
        The value

    - #### setBeanValidation

          public void setBeanValidation(boolean value)

      Set if bean validation should be performed
      Specified by:
        `setBeanValidation` in interface `org.jboss.jca.deployers.common.Configuration`
      Parameters:
        `value` - The value

    - #### getBeanValidation

          public boolean getBeanValidation()

      Should bean validation be performed
      Specified by:
        `getBeanValidation` in interface `org.jboss.jca.deployers.common.Configuration`
      Returns:
        True if validation; otherwise false

    - #### setArchiveValidation

          public void setArchiveValidation(boolean value)

      Set if archive validation should be performed
      Specified by:
        `setArchiveValidation` in interface `org.jboss.jca.deployers.common.Configuration`
      Parameters:
        `value` - The value

    - #### getArchiveValidation

          public boolean getArchiveValidation()

      Should archive validation be performed
      Specified by:
        `getArchiveValidation` in interface `org.jboss.jca.deployers.common.Configuration`
      Returns:
        True if validation; otherwise false

    - #### setArchiveValidationFailOnWarn

          public void setArchiveValidationFailOnWarn(boolean value)

      Set if a failed warning archive validation report should fail the deployment
      Specified by:
        `setArchiveValidationFailOnWarn` in interface `org.jboss.jca.deployers.common.Configuration`
      Parameters:
        `value` - The value

    - #### getArchiveValidationFailOnWarn

          public boolean getArchiveValidationFailOnWarn()

      Does a failed archive validation warning report fail the deployment
      Specified by:
        `getArchiveValidationFailOnWarn` in interface `org.jboss.jca.deployers.common.Configuration`
      Returns:
        True if failing; otherwise false

    - #### setArchiveValidationFailOnError

          public void setArchiveValidationFailOnError(boolean value)

      Set if a failed error archive validation report should fail the deployment
      Specified by:
        `setArchiveValidationFailOnError` in interface `org.jboss.jca.deployers.common.Configuration`
      Parameters:
        `value` - The value

    - #### getArchiveValidationFailOnError

          public boolean getArchiveValidationFailOnError()

      Does a failed archive validation error report fail the deployment
      Specified by:
        `getArchiveValidationFailOnError` in interface `org.jboss.jca.deployers.common.Configuration`
      Returns:
        True if failing; otherwise false

    - #### setPrintStream

          public void setPrintStream(java.io.PrintStream value)

      Set the print stream
      Parameters:
        `value` - The value

    - #### getPrintStream

          public java.io.PrintStream getPrintStream()

      Get the print stream
      Returns:
        The handle

    - #### setDefaultBootstrapContext

          @Deprecated
          public void setDefaultBootstrapContext(org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext value)

      Deprecated.
      Set the default bootstrap context
      Specified by:
        `setDefaultBootstrapContext` in interface `org.jboss.jca.deployers.common.Configuration`
      Parameters:
        `value` - The value

    - #### getDefaultBootstrapContext

          @Deprecated
          public org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext getDefaultBootstrapContext()

      Deprecated.
      Get the default bootstrap context
      Specified by:
        `getDefaultBootstrapContext` in interface `org.jboss.jca.deployers.common.Configuration`
      Returns:
        The handle

    - #### setBootstrapContexts

          @Deprecated
          public void setBootstrapContexts(java.util.Map<java.lang.String,org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext> value)

      Deprecated.
      Set the bootstrap context map
      Specified by:
        `setBootstrapContexts` in interface `org.jboss.jca.deployers.common.Configuration`
      Parameters:
        `value` - The value

    - #### getBootstrapContexts

          @Deprecated
          public java.util.Map<java.lang.String,org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext> getBootstrapContexts()

      Deprecated.
      Get the bootstrap context map
      Specified by:
        `getBootstrapContexts` in interface `org.jboss.jca.deployers.common.Configuration`
      Returns:
        The handle

    - #### addBootstrapContext

          @Deprecated
          public void addBootstrapContext(org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext bc)

      Deprecated.
      Add a bootstrap context
      Parameters:
        `bc` - The value

    - #### removeBootstrapContext

          @Deprecated
          public void removeBootstrapContext(org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext bc)

      Deprecated.
      Remove a bootstrap context
      Parameters:
        `bc` - The value

    - #### setScopeDeployment

          public void setScopeDeployment(boolean value)

      Set if deployments should be scoped
      Parameters:
        `value` - The value

    - #### getScopeDeployment

          public boolean getScopeDeployment()

      Are the deployments scoped
      Returns:
        True if scoped; otherwise false

    - #### setJndiStrategy

          public void setJndiStrategy(org.jboss.jca.core.spi.naming.JndiStrategy value)

      Set the JNDI strategy
      Parameters:
        `value` - The value

    - #### getJndiStrategy

          public org.jboss.jca.core.spi.naming.JndiStrategy getJndiStrategy()

      Get the JNDI strategy
      Returns:
        The handle

    - #### setMetadataRepository

          public void setMetadataRepository(org.jboss.jca.core.spi.mdr.MetadataRepository value)

      Set the metadata repository
      Parameters:
        `value` - The value

    - #### getMetadataRepository

          public org.jboss.jca.core.spi.mdr.MetadataRepository getMetadataRepository()

      Get the metadata repository
      Returns:
        The handle

    - #### setManagementRepository

          public void setManagementRepository(org.jboss.jca.core.api.management.ManagementRepository value)

      Set the management repository
      Parameters:
        `value` - The value

    - #### getManagementRepository

          public org.jboss.jca.core.api.management.ManagementRepository getManagementRepository()

      Get the management repository
      Returns:
        The handle

    - #### setResourceAdapterRepository

          public void setResourceAdapterRepository(org.jboss.jca.core.spi.rar.ResourceAdapterRepository value)

      Set the resource adapter repository
      Parameters:
        `value` - The value

    - #### getResourceAdapterRepository

          public org.jboss.jca.core.spi.rar.ResourceAdapterRepository getResourceAdapterRepository()

      Get the resource adapter repository
      Returns:
        The handle

    - #### setCachedConnectionManager

          public void setCachedConnectionManager(org.jboss.jca.core.api.connectionmanager.ccm.CachedConnectionManager value)

      Set the cached connection manager
      Parameters:
        `value` - The value

    - #### getCachedConnectionManager

          public org.jboss.jca.core.api.connectionmanager.ccm.CachedConnectionManager getCachedConnectionManager()

      Get the cached connection manager
      Returns:
        The handle

    - #### start

          public void start()

      Start

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)